%define upstream_name    DBM-Deep
%define upstream_version 2.0016

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A pure perl multi-level hash/array DBM that supports transactions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBM/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5) >= 1.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl) >= 0.10.0
BuildRequires: perl(File::Path) >= 0.10.0
BuildRequires: perl(File::Temp) >= 0.10.0
BuildRequires: perl(Pod::Usage) >= 1.300.0
BuildRequires: perl(Scalar::Util) >= 1.140.0
BuildRequires: perl(Test::Deep) >= 0.95.0
BuildRequires: perl(Test::Exception) >= 0.210.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Warn) >= 0.80.0
BuildArch:  noarch

%description
A unique flat-file database module, written in pure perl. True multi-level
hash/array support (unlike MLDBM, which is faked), hybrid OO / tie()
interface, cross-platform FTPable files, ACID transactions, and is quite
fast. Can handle millions of keys and unlimited levels without significant
slow-down. Written from the ground-up in pure perl -- this is NOT a wrapper
around a C-based DBM. Out-of-the-box compatibility with Unix, Mac OS X and
Windows.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%{make}

%check
rm -f t/98_pod.t
%{make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.1.600-3.mga8
+ Revision: 1503686
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.1.600-2.mga7
+ Revision: 1282613
- Mageia 7 Mass Rebuild

* Tue May 22 2018 shlomif <shlomif> 2.1.600-1.mga7
+ Revision: 1231533
- update to 2.0016

* Sun Jun 19 2016 pterjan <pterjan> 2.1.200-3.mga6
+ Revision: 1025480
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 2.1.200-2.mga6
+ Revision: 968665
- Mageia 6 Mass Rebuild

* Tue Jul 14 2015 sander85 <sander85> 2.1.200-1.mga6
+ Revision: 854195
- update to 2.0012

* Wed Oct 15 2014 umeabot <umeabot> 2.1.100-3.mga5
+ Revision: 741616
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.100-2.mga5
+ Revision: 684147
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 2.1.100-1.mga5
+ Revision: 588305
- update to 2.0011

* Sat Oct 19 2013 umeabot <umeabot> 2.0.900-2.mga4
+ Revision: 529498
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 jquelin <jquelin> 2.0.900-1.mga4
+ Revision: 451993
- update to 2.0009

* Sun Jan 13 2013 umeabot <umeabot> 2.0.800-2.mga3
+ Revision: 365183
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 2.0.800-1.mga3
+ Revision: 267285
- update to 2.0008

* Tue Jun 05 2012 jquelin <jquelin> 2.0.700-1.mga3
+ Revision: 254788
- update to 2.0007

* Sat Jan 22 2011 jquelin <jquelin> 2.0.400-1.mga1
+ Revision: 31866
- mageia rebuild
- imported package perl-DBM-Deep

